Name: x11-driver-input-evdev
Version: 2.10.3
Release: %mkrel 1
Summary: X.org input driver for Linux generic event devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: xf86-input-evdev-%{version}.tar.xz

License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}pciaccess-devel
BuildRequires: %{_lib}pixman-devel
BuildRequires: %{_lib}mtdev-devel
BuildRequires: %{_lib}evdev-devel

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)
Obsoletes: imwheel

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.


%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-evdev-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/input/evdev_drv.la
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

%files devel
%{_includedir}/xorg/evdev-properties.h
%{_libdir}/pkgconfig/xorg-evdev.pc


%changelog
* Thu Jun 02 2016 bb <bb> 2.10.3-1pclos2016
- update

* Wed May 11 2016 bb <bb> 2.10.2-1pclos2016
- update

* Thu Jan 14 2016 bb <bb> 2.10.1-1pclos2016
- update

